FROM nginx:alpine

RUN apk --update --no-cache add openssl

WORKDIR /etc/certs

COPY ./create_root_cert_and_key.sh ./create_root_cert_and_key.sh
COPY ./create_certificate_for_domain.sh ./create_certificate_for_domain.sh
COPY ./v3.ext ./v3.ext

COPY ./create-certificates.sh ./create-certificates.sh

RUN chmod +x ./create-certificates.sh \
             ./create_root_cert_and_key.sh \
             ./create_certificate_for_domain.sh

CMD ./create-certificates.sh